This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 806784 - fail to boot from BIOS RAID
fail to boot from BIOS RAID
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F17Beta/F17BetaBlocker
  Show dependency treegraph
 
Reported: 2012-03-26 04:45 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
12 users (show)

See Also:
Fixed In Version: anaconda-17.16-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-29 00:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda program log (238.32 KB, text/plain)
2012-03-27 01:06 EDT, Xiaowei Li
no flags Details
anaconda sys log (89.22 KB, application/octet-stream)
2012-03-27 01:06 EDT, Xiaowei Li
no flags Details
program.log from failed installation using nvraid (57.75 KB, text/plain)
2012-03-27 21:50 EDT, Tim Flink
no flags Details
syslog from failed installation using nvraid (91.42 KB, text/plain)
2012-03-27 21:50 EDT, Tim Flink
no flags Details
picture of bootloader location dialog (404.71 KB, image/jpeg)
2012-03-28 01:14 EDT, Tim Flink
no flags Details
program.log from failed installation using nvraid without lvm (57.75 KB, text/plain)
2012-03-28 02:18 EDT, Tim Flink
no flags Details
syslog from failed installation using nvraid without lvm (91.42 KB, text/plain)
2012-03-28 02:19 EDT, Tim Flink
no flags Details

  None (edit)
Description Xiaowei Li 2012-03-26 04:45:42 EDT
Description of problem:
fail to boot from hard drive.

Version-Release number of selected component (if applicable):
f17_beta_rc1

How reproducible:
always

Steps to Reproduce:
1. Boot the installer to install Fedora 17 on the BIOS RAID devices ( pdc, mirror, 2 physical SATA disks ) 
2. Advance to Storage Devices screen
3. Choose Specialized Storage Devices and click Next
4. To add a BIOS RAID volume, under Firmware RAID label, select the detected BIOS RAID volume
5. Choose the default partitioning and boot loader location.
6. Proceed with normal installation 
  
Actual results:
fail to boot from the hard drive after installation completion and the os reboots.


Expected results:
System boots successfully recognizing filesystems created on the BIOS RAID device(s) 

Additional info:
maybe this issue is due to the MBR is installed at the RAID device not the physical device.
Comment 1 Xiaowei Li 2012-03-26 04:57:44 EDT
Here is the anaconda-ks.cfg.
[root@troy bz]# cat anaconda-ks.cfg 
# Kickstart file automatically generated by anaconda.

#version=DEVEL
install
lang en_US.UTF-8
keyboard us
network --onboot no --device p10p1 --bootproto dhcp --noipv6 --hostname troy
timezone --utc America/New_York
rootpw  --iscrypted $6$9unzTegdZnnaudua$2Q0sFfLj5xprOl1CJJSS5aGWSvM9csdJrDkuGCqY7HFCEKjJF0.HXlq1eMUGsjIgRQuKCZ9ODAaQwnOlWOBYP/
selinux --enforcing
authconfig --enableshadow --passalgo=sha512
firewall --service=ssh
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
#clearpart --all --drives=pdc_dcjjajach
#ignoredisk --only-use=pdc_dcjjajach,sdb,sda

#part pv.253004 --grow --size=500
#volgroup vg_troy --pesize=32768 pv.253004
#logvol swap --name=lv_swap --vgname=vg_troy --grow --size=1024 --maxsize=10032
#logvol / --fstype=ext4 --name=lv_root --vgname=vg_troy --grow --size=1024 --maxsize=51200
#logvol /home --fstype=ext4 --name=lv_home --vgname=vg_troy --grow --size=500
#part /boot --fstype=ext4 --size=500
#part biosboot --fstype=biosboot --size=1

bootloader --location=mbr --timeout=5 --driveorder=pdc_dcjjajach --append="rhgb quiet"

>>>>>>>snip>>>>>
Comment 2 Chris Lumens 2012-03-26 10:40:36 EDT
Please attach /var/log/anaconda/program.log and /var/log/anaconda/syslog as uncompressed, individual files to this bug report.  Thanks.
Comment 3 Adam Williamson 2012-03-26 11:18:37 EDT
This would be a beta blocker as described, proposing.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2012-03-26 13:37:35 EDT
Discussed at 2012-03-26 QA meeting acting s a blocker review meeting. Accepted as a blocker per criterion "The installer must be able to create and install to software, hardware or BIOS RAID-0, RAID-1 or RAID-5 partitions for anything except /boot".

Xioawei, you've marked comment #1 as 'private' - is there any reason for that? I see no information in it which is confidential to your system or to Red Hat.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Adam Williamson 2012-03-26 18:44:47 EDT
needinfo no longer valid, anaconda team knows what's causing the RAID fails (module loading).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Brian Lane 2012-03-26 20:01:10 EDT
This is a different problem. If I understand the reporter the install worked, it is the boot that is failing. 

Please attach the logs from /tmp/*log to this bug as individual plain/text files.
Comment 7 Xiaowei Li 2012-03-27 00:50:49 EDT
(In reply to comment #6)
> This is a different problem. If I understand the reporter the install worked,
> it is the boot that is failing. 
> 
> Please attach the logs from /tmp/*log to this bug as individual plain/text
> files.

The install worked but throw a warning message "There was an error installing the bootloader. The shystem may not be bootable". Then boot fails from the BIOS RAID.
Comment 8 Xiaowei Li 2012-03-27 01:06:17 EDT
Created attachment 572930 [details]
anaconda program log
Comment 9 Xiaowei Li 2012-03-27 01:06:45 EDT
Created attachment 572931 [details]
anaconda sys log
Comment 10 David Lehman 2012-03-27 08:44:01 EDT
See the last two lines of attached program.log for some detail of what happened.
Comment 11 Peter Jones 2012-03-27 16:54:19 EDT
I've tried this with ISW BIOS RAID and didn't experience the problem.
Comment 12 Tim Flink 2012-03-27 20:42:18 EDT
Reproduced on an old P4 w/ integrated promise RAID
Comment 13 Tim Flink 2012-03-27 21:48:55 EDT
Reproduced on a system using nvraid so this isn't just limited to promise controllers.
Comment 14 Tim Flink 2012-03-27 21:50:03 EDT
Created attachment 573200 [details]
program.log from failed installation using nvraid
Comment 15 Tim Flink 2012-03-27 21:50:37 EDT
Created attachment 573201 [details]
syslog from failed installation using nvraid
Comment 16 Tim Flink 2012-03-28 01:14:59 EDT
Created attachment 573233 [details]
picture of bootloader location dialog

I noticed that the device name on the bootloader location dialog isn't quite right when doing another installation on my nvraid system.

The device name is correct under 'BIOS Drive Order' but both of the devices listed for MBR and First sector bootloader installations are missing an underscore in the device name.
Comment 17 Adam Williamson 2012-03-28 01:37:21 EDT
it's also worth noting there were major changes to LVM/RAID handling in upstream grub between 1.99 and 2.00-beta2:

2012-01-29  Vladimir Serbinenko  <phcoder@gmail.com>

        Merge common RAID and LVM logic to an abstract diskfilter.
        Add LDM support using the same framework.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Adam Williamson 2012-03-28 01:38:15 EDT
So as far as blockeriness goes - we have two Promises failing and one NVIDIA, but Intel succeeding. To me this rather suggests that dmraid is entirely broken, which seems definitely in blocker territory. :/
Comment 19 Tim Flink 2012-03-28 02:18:49 EDT
Created attachment 573240 [details]
program.log from failed installation using nvraid without lvm

I did another install on the nvraid system without lvm and had the same results - the system won't boot after installation.
Comment 20 Tim Flink 2012-03-28 02:19:16 EDT
Created attachment 573241 [details]
syslog from failed installation using nvraid without lvm
Comment 21 Xiaowei Li 2012-03-28 03:28:39 EDT
(In reply to comment #18)
> So as far as blockeriness goes - we have two Promises failing and one NVIDIA,
> but Intel succeeding. To me this rather suggests that dmraid is entirely
> broken, which seems definitely in blocker territory. :/

add the SNIA DDF1 (strip RAID with 1 SATA disk) failing.
Comment 22 Fedora Update System 2012-03-28 19:22:36 EDT
anaconda-17.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.16-1.fc17
Comment 23 Fedora Update System 2012-03-29 00:13:04 EDT
anaconda-17.16-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Tim Flink 2012-03-29 02:23:25 EDT
Successfully did a graphical install to x86_64 nvraid and i686 promise.

i686 install has other issues, but they have nothing to do with RAID.

Note You need to log in before you can comment on or make changes to this bug.